Bug 91016 - Not possible to switch between Web and Print layouts in read-only mode
Summary: Not possible to switch between Web and Print layouts in read-only mode
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.6 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: preBibisect, regression
: 127899 (view as bug list)
Depends on:
Blocks: Writer-Web-Layout Read-Only
  Show dependency treegraph
 
Reported: 2015-05-02 12:20 UTC by Zeus Castro
Modified: 2022-01-13 03:42 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zeus Castro 2015-05-02 12:20:11 UTC
It's not possible to view a document in "Web Layout" view while in read-only mode ("Edit Mode" not selected). If read-only mode is selected while viewing in Web Layout, the view resets. Also, the Web Layout button is grayed out when in read-only mode. I'm not sure if this is intentional, but it seems to me like one thing shouldn't affect the other.
Comment 1 Gordo 2015-05-21 18:32:07 UTC
Never confirmed.  Set back to UNCONFIRMED.
Comment 2 Buovjaga 2015-05-25 11:13:12 UTC
Reproduced.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: b9630867d17c01ec41f6461b1e96288f3932248c
TinderBox: Win-x86@39, Branch:master, Time: 2015-05-25_00:45:41
Locale: fi-FI (fi_FI)
Comment 3 QA Administrators 2016-09-20 09:45:50 UTC Comment hidden (obsolete)
Comment 4 Yousuf Philips (jay) (retired) 2016-10-17 22:51:00 UTC
This used to work in 3.3.0, but is gone in 3.4.6.
Comment 5 QA Administrators 2018-07-02 02:36:33 UTC Comment hidden (obsolete, spam)
Comment 6 Dieter 2019-10-02 16:33:23 UTC
*** Bug 127899 has been marked as a duplicate of this bug. ***
Comment 7 Timur 2020-01-13 17:23:07 UTC Comment hidden (obsolete)
Comment 8 Buovjaga 2020-01-13 19:54:15 UTC
(In reply to Timur from comment #7)
> Repro 6.5+. 
> Buovjaga, this is marked "preBibisect" but there's Releases bibisect repo
> (Release builds of OOo 3.3.0, LO 3.3.0 - LO5.4.7.1), can that be used? 
> (I'm out of my environment and I cannot test it myself).

Sure, but testing releases is not "real bibisecting".
Comment 9 QA Administrators 2022-01-13 03:42:14 UTC
Dear Zeus Castro,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug